<?xml version="1.0" encoding="UTF-8"?>

<EIS_TNR>
    <!--Product BvlgariStd-->


    <!--AF instruction
        camera_index： -1-default  0-mainFront  1-wideFront   2-main   4-wide   8-tele   16-tele2
    -->

    <!--rear main-->
    <AF camera_index="2">
        <minLensPosCode>231</minLensPosCode>
        <maxLensPosCode>891</maxLensPosCode>
        <maxFactor>0.09</maxFactor>
    </AF>

    <!--rear tele-->
    <AF camera_index="8">
        <minLensPosCode>230</minLensPosCode>
        <maxLensPosCode>890</maxLensPosCode>
        <maxFactor>0.07</maxFactor>
    </AF>

    <!--rear wide-->
    <AF camera_index="4">
        <minLensPosCode>230</minLensPosCode>
        <maxLensPosCode>890</maxLensPosCode>
        <maxFactor>0.12</maxFactor>
    </AF>



    <ExposureTime camera_index="2">
        <expoLower>5000</expoLower>  <!-- us -->
        <expoUpper>40000</expoUpper>  <!-- us -->
        <expoThreshold>5000</expoThreshold>  <!-- us -->
    </ExposureTime>



    <!--OISSensor instruction
        camera_index： -1-default   0-mainFront   1-wideFront   2-main   4-wide   8-tele   16-tele2
        driverIC:      -1-default   0-Onsemi  1-DongWoon  2-ROHM  3-Renesas
        gyro_sensor:   -1-default   0-Bosch   1-ST        2-Invensense
        actuator_type: -1-default   1-ACTUATOR_TYPE_TDK   2-ACTUATOR_TYPE_MITSUMI                                        (TBD)
        sensor_mode:   -1-default   30-remosaic  31-binning   32-hdr   33-quadabin
        resolution:    -1-default   1-4K   2-19:9   3-21:9  4-1080p  5-720p  6-4:3 pre  7-1:1 pre  8-fullScreem pre      (TBD)
    -->

    <!--Onsenmi128 driverIC    ST gyroscope    rear tele photoPreview default binning-->
    <!-- <OISSensor camera_index="2" driverIC="0" gyro_sensor="0" actuator_type="0" sensor_mode="-1" resolution="-1">
        <translationGainX>0.3</translationGainX>
        <translationGainY>0.5</translationGainY>
        <offsetTime>-1434</offsetTime>
        <oisAxisAngle>0</oisAxisAngle>
    </OISSensor> -->

<!--Invensense gyroscope    rear main normal-->
    <OISSensor camera_index="2" driverIC="4" gyro_sensor="2" actuator_type="-1" sensor_mode="31" resolution="2">
        <translationGainX>-0.095</translationGainX>
        <translationGainY>0.095</translationGainY>
        <offsetTime>5500</offsetTime>
        <oisAxisAngle>0</oisAxisAngle>
    </OISSensor>

<!--BOSCH gyroscope    rear main normal-->
    <OISSensor camera_index="2" driverIC="4" gyro_sensor="0" actuator_type="1" sensor_mode="31" resolution="2">
        <translationGainX>0.1041</translationGainX>
        <translationGainY>-0.1041</translationGainY>
        <offsetTime>10000</offsetTime>
        <oisAxisAngle>0</oisAxisAngle>
    </OISSensor>

<!--ST gyroscope    rear main normal-->
    <OISSensor camera_index="2" driverIC="4" gyro_sensor="1" actuator_type="-1" sensor_mode="31" resolution="2">
        <translationGainX>-0.10</translationGainX>
        <translationGainY>0.10</translationGainY>
        <offsetTime>5800</offsetTime>
        <oisAxisAngle>0</oisAxisAngle>
    </OISSensor>


    <OISSensor camera_index="2" driverIC="0" gyro_sensor="0" actuator_type="0" sensor_mode="31" resolution="4">
        <translationGainX>0.3</translationGainX>
        <translationGainY>0.5</translationGainY>
        <offsetTime>-1200</offsetTime>
        <oisAxisAngle>0</oisAxisAngle>
    </OISSensor>

    <OISSensor camera_index="2" driverIC="-1" gyro_sensor="1" actuator_type="-1" sensor_mode="31" resolution="4">
        <translationGainX>0.0875</translationGainX>
        <translationGainY>0.0833</translationGainY>
        <offsetTime>-1800</offsetTime>
        <oisAxisAngle>0</oisAxisAngle>
    </OISSensor>

    <!--NCS get time interbal para-->
    <OISSensor camera_index="-1" driverIC="-1" gyro_sensor="-1" actuator_type="-1" sensor_mode="-1" resolution="-1">
        <translationGainX>0.3</translationGainX>
        <translationGainY>0.5</translationGainY>
        <offsetTime>5000</offsetTime>  <!-- us -->
        <oisAxisAngle>0</oisAxisAngle>
    </OISSensor>

    <!--EIS instruction
        camera_index： -1-default  0-mainFront  1-wideFront   2-main   4-wide   8-tele   16-tele2
        gyro_sensor:   -1-default  0-Bosch      1-ST          2-Invensense
        sensor_mode:   -1-default   30-remosaic   31-binning   32-hdr   33-quadabin
        resolution:    -1-default   1-4K   2-19:9   3-21:9  4-1080p  5-720p  6-4:3 pre  7-1:1 pre  8-fullScreem pre
        fps:           -1-default   1-30fps   2-60fps   3-auto
        camera_scene： -1-default   2-dual_video
    -->

<!--Invensense gyroscope    rear main normal-->
    <EIS camera_index="2" gyro_sensor="2" sensor_mode="31" resolution="2" fps="-1" camera_scene="-1">
        <focalLengthLower>0.69375</focalLengthLower>
        <gyroOffsetLower>3700</gyroOffsetLower> <!-- s -->
        <focalLengthUpper>0.69375</focalLengthUpper>
        <gyroOffsetUpper>3700</gyroOffsetUpper>
    </EIS>

<!--BOSCH gyroscope    rear main normal-->
    <EIS camera_index="2" gyro_sensor="0" sensor_mode="31" resolution="2" fps="-1" camera_scene="-1">
        <focalLengthLower>0.695</focalLengthLower>
        <gyroOffsetLower>4300</gyroOffsetLower> <!-- s -->
        <focalLengthUpper>0.695</focalLengthUpper>
        <gyroOffsetUpper>4300</gyroOffsetUpper>
    </EIS>

<!--ST gyroscope    rear main normal-->
    <EIS camera_index="2" gyro_sensor="1" sensor_mode="31" resolution="2" fps="-1" camera_scene="-1">
        <focalLengthLower>0.69375</focalLengthLower>
        <gyroOffsetLower>3200</gyroOffsetLower> <!-- s -->
        <focalLengthUpper>0.69375</focalLengthUpper>
        <gyroOffsetUpper>3200</gyroOffsetUpper>
    </EIS>


    <!--INVENSENSE gyroscope    rear main normal-->
    <EIS camera_index="2" gyro_sensor="2" sensor_mode="31" resolution="-1" fps="-1" camera_scene="-1">
        <focalLengthLower>0.67917</focalLengthLower>
        <gyroOffsetLower>1500</gyroOffsetLower> <!-- s -->
        <focalLengthUpper>0.67917</focalLengthUpper>
        <gyroOffsetUpper>1500</gyroOffsetUpper>
    </EIS>

     <!--BOSCH gyroscope    rear tele normal-->
    <EIS camera_index="8" gyro_sensor="0" sensor_mode="31" resolution="-1" fps="-1" camera_scene="-1">
        <focalLengthLower>2.00042</focalLengthLower>
        <gyroOffsetLower>2000</gyroOffsetLower> <!-- s -->
        <focalLengthUpper>2.00042</focalLengthUpper>
        <gyroOffsetUpper>2000</gyroOffsetUpper>
    </EIS>
	
	<!--ST gyroscope    rear tele normal-->
    <EIS camera_index="8" gyro_sensor="1" sensor_mode="31" resolution="-1" fps="-1" camera_scene="-1">
        <focalLengthLower>2.6208</focalLengthLower>
        <gyroOffsetLower>1000</gyroOffsetLower> <!-- s -->
        <focalLengthUpper>2.6208</focalLengthUpper>
        <gyroOffsetUpper>1000</gyroOffsetUpper>
    </EIS>
	
	<!--INVENSENSE gyroscope    rear tele normal-->
    <EIS camera_index="8" gyro_sensor="2" sensor_mode="31" resolution="-1" fps="-1" camera_scene="-1">
        <focalLengthLower>2.6208</focalLengthLower>
        <gyroOffsetLower>1000</gyroOffsetLower> <!-- s -->
        <focalLengthUpper>2.6208</focalLengthUpper>
        <gyroOffsetUpper>1000</gyroOffsetUpper>
    </EIS>
	
	<!--BOSCH gyroscope    rear wide normal-->
    <EIS camera_index="4" gyro_sensor="0" sensor_mode="31" resolution="-1" fps="-1" camera_scene="-1">
        <focalLengthLower>0.37083</focalLengthLower>
        <gyroOffsetLower>7000</gyroOffsetLower> <!-- s -->
        <focalLengthUpper>0.37083</focalLengthUpper>
        <gyroOffsetUpper>7000</gyroOffsetUpper>
    </EIS>
	
	<!--ST gyroscope    rear wide normal-->
    <EIS camera_index="4" gyro_sensor="1" sensor_mode="31" resolution="-1" fps="-1" camera_scene="-1">
        <focalLengthLower>0.375</focalLengthLower>
        <gyroOffsetLower>1600</gyroOffsetLower> <!-- s -->
        <focalLengthUpper>0.375</focalLengthUpper>
        <gyroOffsetUpper>1600</gyroOffsetUpper>
    </EIS>
	
	<!--INVENSENSE gyroscope    rear wide normal-->
    <EIS camera_index="4" gyro_sensor="2" sensor_mode="31" resolution="-1" fps="-1" camera_scene="-1">
        <focalLengthLower>0.375</focalLengthLower>
        <gyroOffsetLower>1600</gyroOffsetLower> <!-- s -->
        <focalLengthUpper>0.375</focalLengthUpper>
        <gyroOffsetUpper>1600</gyroOffsetUpper>
    </EIS>

    <!--NCS get time interbal para-->
    <EIS camera_index="-1" gyro_sensor="-1" sensor_mode="-1" resolution="-1" fps="-1" camera_scene="-1">
        <focalLengthLower>0.688</focalLengthLower>
        <gyroOffsetLower>1350</gyroOffsetLower> <!-- us -->
        <focalLengthUpper>0.688</focalLengthUpper>
        <gyroOffsetUpper>1350</gyroOffsetUpper>
    </EIS>

    <!--DistortCorrection instruction
        camera_index：     -1-default   0-mainFront  1-wideFront   2-main   4-wide   8-tele   16-tele2
        camera_lensType:   -1-default   254-LENS_TYPE_LARGEN_MARIE
    -->

    <!--rear main KT-->
    <DistortCorrection camera_index="2" camera_lensType="-1">
        <ldcCaliWidth>4032</ldcCaliWidth>                              <!--Coordinate System scale-->
        <ldcCaliHeight>3024</ldcCaliHeight>
        <ldcTableWidth>35</ldcTableWidth>
        <ldcTableHeight>27</ldcTableHeight>
        <ldcTableName>calibration</ldcTableName>                     <!--char-->
    </DistortCorrection>



    <!--Recede Stabilization
        camera_index：   -1-default  0-mainFront  1-wideFront   2-main   4-wide   8-tele   16-tele2
    -->

    <!--rear main -->
    <RecedeStabilization camera_index="2">
        <dynamicRecedeStabilizationEnable>0</dynamicRecedeStabilizationEnable>
        <lumaAvgThr>100</lumaAvgThr>
        <scalingMode>0</scalingMode>
        <recedeStabFactor>0.65</recedeStabFactor>
    </RecedeStabilization>



    <!--ScalingMode
        camera_index：   -1-default  0-mainFront  1-wideFront   2-main   4-wide   8-tele   16-tele2
        stabMode:        -1-default  0-videoNigthPreview  1-videoNigthRecord  2-videoPreview  3-videoRecord
		                            (0-superStab  1-record  2-photoPreview)
        resolution:      -1-default  1-4K   2-19:9   3-21:9  4-1080p  5-720p  6-4:3 pre  7-1:1 pre  8-fullScreem pre
    -->

    <!--rear main-->
    <ScalingMode camera_index="2" stabMode="1" resolution="1">
        <scaleMode>0</scaleMode>
        <scaleModeUsage>1</scaleModeUsage> <!--0:use variable value   1:use xml value-->
    </ScalingMode>
	
    <ScalingMode camera_index="2" stabMode="1" resolution="4">
        <scaleMode>0</scaleMode>
        <scaleModeUsage>1</scaleModeUsage> <!--0:use variable value   1:use xml value-->
    </ScalingMode>
	
    <ScalingMode camera_index="2" stabMode="1" resolution="-1">
        <scaleMode>0</scaleMode>
        <scaleModeUsage>1</scaleModeUsage> <!--0:use variable value   1:use xml value-->
    </ScalingMode>



    <!--Recede PadFree
        fps:             -1-default   1-30fps   2-60fps   3-auto
        stabMode:        -1-default  0-videoNigthPreview  1-videoNigthRecord  2-videoPreview  3-videoRecord
		                            (0-superStab  1-record  2-photoPreview)
        resolution:      -1-default   1-4K   2-19:9   3-21:9  4-1080p  5-720p  6-4:3 pre  7-1:1 pre  8-fullScreem pre
    -->

    <!--rear main-->
    <RecedePadFree fps="-1" stabMode="1" resolution="4">
        <padFreeDecayFactor>1.0</padFreeDecayFactor>
    </RecedePadFree>



    <!--PathSmooth5D
        camera_index：   -1-default  0-mainFront  1-wideFront   2-main   4-wide   8-tele   16-tele2
        algoType:        -1-default  0-V2.0  1-V3.0   2-Digital5D   3-Interval
        stabMode:        -1-default  0-videoNigthPreview  1-videoNigthRecord  2-videoPreview  3-videoRecord
		                            (0-superStab  1-record  2-photoPreview)
    -->

    <!--rear main-->
    <PathSmooth5D camera_index="2" algoType="1" stabMode="1">
        <Weight5DPadFree>0</Weight5DPadFree>  <!--the weight for 5D of whole padFree in 3D and 5D-->
        <wQrX5D>0</wQrX5D>
        <wQ1X5D>1000</wQ1X5D>
        <wQ2X5D>223</wQ2X5D>
        <wQ3X5D>100</wQ3X5D>
        <wQrY5D>0</wQrY5D>
        <wQ1Y5D>1000</wQ1Y5D>
        <wQ2Y5D>223</wQ2Y5D>
        <wQ3Y5D>100</wQ3Y5D>
    </PathSmooth5D>



    <!--PathSmooth3D
        camera_index：   -1-default  0-mainFront  1-wideFront   2-main   4-wide   8-tele   16-tele2
        algoType:        -1-default  0-V2.0  1-V3.0   2-Digital5D   3-Interval
        stabMode:        -1-default  0-videoNigthPreview  1-videoNigthRecord  2-videoPreview  3-videoRecord
                                    (0-superStab  1-record  2-photoPreview)
    -->

    <!--rear main preview-->
    <PathSmooth3D camera_index="2" algoType="-1" stabMode="0">
        <wQrX3D>5</wQrX3D>
        <wQ1X3D>70</wQ1X3D>
        <wQ2X3D>223</wQ2X3D>
        <wQ3X3D>4</wQ3X3D>
        <wQrY3D>5</wQrY3D>
        <wQ1Y3D>70</wQ1Y3D>
        <wQ2Y3D>223</wQ2Y3D>
        <wQ3Y3D>4</wQ3Y3D>
        <wQrZ3D>5</wQrZ3D>
        <wQ1Z3D>170</wQ1Z3D>
        <wQ2Z3D>223</wQ2Z3D>
        <wQ3Z3D>4</wQ3Z3D>
    </PathSmooth3D>

    <!--rear main record-->
    <PathSmooth3D camera_index="2" algoType="-1" stabMode="-1">
        <wQrX3D>0</wQrX3D>
        <wQ1X3D>7</wQ1X3D>
        <wQ2X3D>223</wQ2X3D>
        <wQ3X3D>64</wQ3X3D>
        <wQrY3D>0</wQrY3D>
        <wQ1Y3D>7</wQ1Y3D>
        <wQ2Y3D>223</wQ2Y3D>
        <wQ3Y3D>64</wQ3Y3D>
        <wQrZ3D>0</wQrZ3D>
        <wQ1Z3D>7</wQ1Z3D>
        <wQ2Z3D>223</wQ2Z3D>
        <wQ3Z3D>64</wQ3Z3D>
    </PathSmooth3D>

    <!--rear tele-->
    <PathSmooth3D camera_index="8" algoType="1" stabMode="1">
        <wQrX3D>0</wQrX3D>
        <wQ1X3D>7</wQ1X3D>
        <wQ2X3D>223</wQ2X3D>
        <wQ3X3D>64</wQ3X3D>
        <wQrY3D>0</wQrY3D>
        <wQ1Y3D>7</wQ1Y3D>
        <wQ2Y3D>223</wQ2Y3D>
        <wQ3Y3D>64</wQ3Y3D>
        <wQrZ3D>0</wQrZ3D>
        <wQ1Z3D>7</wQ1Z3D>
        <wQ2Z3D>223</wQ2Z3D>
        <wQ3Z3D>64</wQ3Z3D>
    </PathSmooth3D>

	<!--rear wide-->
    <PathSmooth3D camera_index="4" algoType="1" stabMode="1">
        <wQrX3D>0</wQrX3D>
        <wQ1X3D>7</wQ1X3D>
        <wQ2X3D>223</wQ2X3D>
        <wQ3X3D>64</wQ3X3D>
        <wQrY3D>0</wQrY3D>
        <wQ1Y3D>7</wQ1Y3D>
        <wQ2Y3D>223</wQ2Y3D>
        <wQ3Y3D>64</wQ3Y3D>
        <wQrZ3D>0</wQrZ3D>
        <wQ1Z3D>7</wQ1Z3D>
        <wQ2Z3D>223</wQ2Z3D>
        <wQ3Z3D>64</wQ3Z3D>
    </PathSmooth3D>


    <!--Below to be modify-->
    <!--FaceDeforMation Param-->
    <FaceDeformation>
        <faceDeformationCorrectionEnable>1</faceDeformationCorrectionEnable>
        <rotationLatencyForMainAxis>4</rotationLatencyForMainAxis>
        <faceDeformationThreshlod>0.8</faceDeformationThreshlod>
        <panningCoeff>4.5</panningCoeff>
        <enterPanningCounterSelfieForFace>5</enterPanningCounterSelfieForFace>
        <exitPanningCounterSelfieForFace>5</exitPanningCounterSelfieForFace>
        <maxPanningCounterSelfie>10</maxPanningCounterSelfie>
        <minPanningCounterSelfie>0</minPanningCounterSelfie>
        <maxPanningRSCorrectionRatio>0.65</maxPanningRSCorrectionRatio>
        <minPanningRSCorrectionRatio>0.25</minPanningRSCorrectionRatio>
    </FaceDeformation>

    <!--FaceStabilization Param-->
    <FaceStabilization>
        <faceStabilizationEnable>1</faceStabilizationEnable>               <!--Int -->
        <walkingEpsilon>38</walkingEpsilon>                                <!--Int -->
        <faceEpsilonUpper>340</faceEpsilonUpper>                           <!--Int -->
        <faceEpsilonLower>300</faceEpsilonLower>                           <!--Int -->
        <faceEpsilonRatio>0.8</faceEpsilonRatio>
        <faceEpsilonIncrementStep>6</faceEpsilonIncrementStep>             <!--Int -->
        <faceEpsilonDecrementStep>8</faceEpsilonDecrementStep>             <!--Int -->
        <faceEpsilonUpperDecrementStep>20</faceEpsilonUpperDecrementStep>  <!--Int -->
        <faceEpsilonLowerDecrementStep>20</faceEpsilonLowerDecrementStep>  <!--Int -->
        <faceMotionStd>100</faceMotionStd>                                 <!--Int -->
        <faceMotionIncreaseStep>50</faceMotionIncreaseStep>                <!--Int -->
    </FaceStabilization>


    <!--OISServeOn       oisCenter | <expoThresh> | ois on      <-1>: EISAlgo don't control oisMode
        camera_index：   -1-default  0-mainFront  1-wideFront   2-main   4-wide   8-tele   16-tele2
    -->

    <!--rear main-->
    <OISServeOn camera_index="2">
        <expoThresh>-1</expoThresh>
    </OISServeOn>


    <!--DisFit           DigitalV3algo featurePoint reliability control
        camera_index：        -1-default  0-mainFront  1-wideFront   2-main   4-wide   8-tele   16-tele2
        posDiffAbsThresh:     pixelAbsThresh = <posDiffAbsThresh> * srcWidth / zoomFactor
        expoThreshDisReduce:  DisClose | <expoThreshDisReduce> | DisOpen
        posDiffStdThresh:     hold | <posDiffStdThresh> | clear
        posNumClearThresh：   clear | <posNumClearThresh> | hold
    -->
    <!--rear main-->
    <DisFit camera_index="2">
        <posDiffAbsThresh>0.0042</posDiffAbsThresh>
        <posDiffStdFactorThresh>1.5</posDiffStdFactorThresh>
        <expoThreshDisReduce>20000</expoThreshDisReduce>
        <posDiffStdThresh>1.4</posDiffStdThresh>
        <posNumClearThresh>10</posNumClearThresh>
    </DisFit>

</EIS_TNR>
